Skip to content
View as Markdown

POST Create Company​

POST
/companies

Create a new company. The company name must be unique. If a website is provided and the company_auto_logo experimental feature is enabled, the logo will be automatically fetched from the website's favicon/apple-touch-icon. Optionally attach the company to an existing contact via intended_contact_id.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Request Body​

application/json
JSON
{
"name": "string",
"description": "string",
"email": "string",
"phone": "string",
"address_line_1": "string",
"address_line_2": "string",
"city": "string",
"state": "string",
"postal_code": "string",
"country": "string",
"type": "string",
"industry": "string",
"logo": "string",
"website": "string",
"linkedin_url": "string",
"facebook_url": "string",
"twitter_url": "string",
"owner_user_id": 0,
"employees_number": 0,
"status": "string",
"intended_contact_id": 0
}

Responses​

Company created successfully.

application/json
JSON
{
"message": "string",
"company": {
"id": 0,
"name": "string",
"description": "string",
"email": "string",
"phone": "string",
"address_line_1": "string",
"address_line_2": "string",
"city": "string",
"state": "string",
"postal_code": "string",
"country": "string",
"type": "string",
"industry": "string",
"logo": "string",
"website": "string",
"linkedin_url": "string",
"facebook_url": "string",
"twitter_url": "string",
"owner_user_id": 0,
"employees_number": 0,
"status": "string",
"contacts_count": 0,
"created_at": "string",
"updated_at": "string",
"owner": {
"id": 0,
"first_name": "string",
"last_name": "string",
"email": "string"
}
}
}

Playground​

Authorization
Body

Samples​

Powered by VitePress OpenAPI